Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-1.6-compat
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


Name:           hibernate3-tools
Summary:        Hibernate tools
URL:            http://www.hibernate.org
Group:          Development/Java
Version:        3.2.1
Release:        alt4_1jpp5
Epoch:          0
License:        LGPL

BuildRequires: jpackage-utils >= 0:1.7.4
BuildRequires: ant >= 0:1.6.5
BuildRequires: antlr
BuildRequires: cglib
BuildRequires: dom4j
BuildRequires: eclipse-jdt
BuildRequires: eclipse-platform
BuildRequires: eclipse-rcp
BuildRequires: freemarker
BuildRequires: hibernate3
BuildRequires: jakarta-commons-collections
BuildRequires: jakarta-commons-logging
BuildRequires: jtidy
Requires: ant >= 0:1.6.5
Requires: antlr
Requires: cglib
Requires: dom4j
Requires: freemarker
Requires: hibernate3
Requires: jakarta-commons-collections
Requires: jakarta-commons-logging
Requires: jtidy
BuildArch: noarch
Requires(post): jpackage-utils >= 0:1.7.4
Requires(postun): jpackage-utils >= 0:1.7.4


Source0:       %{name}-%{version}.tar.gz
# svn export http://anonhibernate.labs.jboss.com/tags/TOOLS_3_2_1_GA/HibernateExt/Branch_3_2/HibernateExt/tools/
Source1:       %{name}-common-build.xml
# http://anonhibernate.labs.jboss.com/tags/TOOLS_3_2_1_GA/HibernateExt/Branch_3_2/HibernateExt/common/common-build.xml
Source2:       %{name}-checkstyle_checks.xml
# http://anonhibernate.labs.jboss.com/tags/TOOLS_3_2_1_GA/HibernateExt/Branch_3_2/HibernateExt/common/checkstyle_checks.xml
Source3:       %{name}-jdstyle.css
# http://anonhibernate.labs.jboss.com/tags/TOOLS_3_2_1_GA/HibernateExt/Branch_3_2/HibernateExt/jpa-api/etc/jdstyle.css
Source4:       %{name}.pom

Patch0:        hibernate3-tools-build.patch
Patch1:        hibernate3-tools-common-build.patch
# temporarily patch to hibernate 3.2.0.cr2
Patch2:        hibernate3-tools-JDBCReaderFactory.patch
Patch3:        hibernate3-tools-HibernateToolTask.patch
Patch4:        hibernate3-tools-JDBCBinder.patch
Patch5:        hibernate3-tools-Cfg2HbmTool.patch
Patch6:        hibernate3-tools-Hbm2XAllTests.patch

%description
Working with Hibernate is very easy and developers enjoy 
using the APIs and the query language. Even creating mapping 
metadata is not an overly complex task once you've mastered 
the basics. Hibernate Tools makes working with Hibernate or 
EJB 3.0 persistence even more pleasant.

%package javadoc
Summary: Javadoc for %{name}
Group: Development/Documentation
BuildArch: noarch

%description javadoc
%{summary}.

%prep
%setup -q 
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
mkdir common
cp %{SOURCE1} common/common-build.xml
cp %{SOURCE2} common/checkstyle_checks.xml
mkdir -p hibernate-3.2/doc/api
cp %{SOURCE3} hibernate-3.2/doc/api/jdstyle.css
mkdir -p hibernate-3.2/lib
ln -sf $(build-classpath hibernate3) hibernate-3.2
ln -sf $(build-classpath cglib) hibernate-3.2/lib
ln -sf $(build-classpath freemarker) lib
ln -sf %{_libdir}/eclipse/plugins/org.eclipse.core.runtime_*.jar lib
ln -sf %{_libdir}/eclipse/plugins/org.eclipse.equinox.common_*.jar lib
ln -sf %{_libdir}/eclipse/dropins/jdt/plugins/org.eclipse.jdt.core_*.jar lib
ln -sf %{_libdir}/eclipse/plugins/org.eclipse.text_*.jar lib
ln -sf $(build-classpath ant) lib
ln -sf $(build-classpath antlr) lib
ln -sf $(build-classpath commons-collections) lib
ln -sf $(build-classpath commons-logging) lib
ln -sf $(build-classpath dom4j) lib
ln -sf $(build-classpath jtidy) lib
%patch0 -b .sav0
%patch1 -b .sav1
# temporarily patch to hibernate-3.2.0.cr2
#%patch2 -b .sav2
%patch3 -b .sav3
#%patch4 -b .sav4
%patch5 -b .sav5
# temporarily remove for hibernate-3.2.0.cr2
rm src/test/org/hibernate/tool/hbmlint/FakeNonLazy.java
rm src/test/org/hibernate/tool/test/jdbc2cfg/identity/H2IdentityTest.java
%patch6 -b .sav6

%build
unset CLASSPATH
#export JAVA_HOME=%{_jvmdir}/java-1.5.0

ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 
%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 target/hibernate-tools/hibernate-tools.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 target/hibernate-tools/hibernate-tools-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-tests-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-tests-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-tests.jar

%add_to_maven_depmap org.hibernate hibernate-tools %{version}.ga JPP %{name}
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-%{name}.pom

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/hibernate-tools/doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%{_javadir}/%{name}*.jar
%{_datadir}/maven2
%{_mavendepmapfragdir}
%doc *.txt

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Tue Aug 25 2009 Igor Vlasenko <viy@altlinux.ru> 0:3.2.1-alt4_1jpp5
- fixed build

* Sun Jan 04 2009 Igor Vlasenko <viy@altlinux.ru> 0:3.2.1-alt3_1jpp5
- fixed build with new eclipse

* Fri Sep 12 2008 Igor Vlasenko <viy@altlinux.ru> 0:3.2.1-alt2_1jpp5
- fixed build

* Wed Jul 02 2008 Igor Vlasenko <viy@altlinux.ru> 0:3.2.1-alt1_1jpp5
- converted from JPackage by jppimport script

